Package org.apache.sling.feature.maven.mojos

# Class AggregateFeaturesMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo
org.apache.sling.feature.maven.mojos.AggregateFeaturesMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="aggregate-features", defaultPhase=GENERATE_RESOURCES, requiresDependencyResolution=TEST, threadSafe=true) public class AggregateFeaturesMojo extends AbstractIncludingFeatureMojo
Aggregate multiple features into a single one.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`AbstractIncludingFeatureMojo.FeatureScanner`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`AbstractFeatureMojo.BaseArtifactProvider, AbstractFeatureMojo.BaseFeatureProvider`

## Field Summary

### Fields inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`defaultMetadata, features, jarStartOrder, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`AggregateFeaturesMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`getSelectedFeatures, selectAllFeatureFiles, selectAllFeatureFilesAndAggregates`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`checkPreconditions, getTmpDir`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AggregateFeaturesMojo

public AggregateFeaturesMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`